function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Ca = Yfuncvec(1); 
Cb = Yfuncvec(2); 
Cc = Yfuncvec(3); 
Cm = Yfuncvec(4); 
T = Yfuncvec(5); 
% Explicit equations
Fa0 = 36.3; 
T0 = 297; 
V = 1.89; 
UA = 7262; 
Ta1 = 288.7; 
k = 16960000000000 * exp(-18012 / 1.987 / (T)); 
Fb0 = 453.6; 
Fm0 = 45.4; 
mc = 453.6; 
ra = 0 - (k * Ca); 
rb = 0 - (k * Ca); 
rc = k * Ca; 
Nm = Cm * V; 
Na = Ca * V; 
Nb = Cb * V; 
Nc = Cc * V; 
ThetaCp = 35 + Fb0 / Fa0 * 18 + Fm0 / Fa0 * 19.5; 
v0 = Fa0 /14.8 + Fb0 /55.3 + Fm0 /24.7; 
Ta2 = T - ((T - Ta1) * exp(0 - (UA / (18 * mc)))); 
Ca0 = Fa0 / v0; 
Cb0 = Fb0 / v0; 
Cm0 = Fm0 / v0; 
Q = mc * 18 * (Ta1 - Ta2); 
tau = V / v0; 
NCp = Na * 35 + Nb * 18 + Nc * 46 + Nm * 19.5; 
% Differential equations
dCadt = 1 / tau * (Ca0 - Ca) + ra; 
dCbdt = 1 / tau * (Cb0 - Cb) + rb; 
dCcdt = 1 / tau * (0 - Cc) + rc; 
dCmdt = 1 / tau * (Cm0 - Cm); 
dTdt = (Q - (Fa0 * ThetaCp * (T - T0)) + -20013 * ra * V) / NCp; 
dYfuncvecdt = [dCadt; dCbdt; dCcdt; dCmdt; dTdt]; 

